Bug 439667 - gnome-python2-gtkmozembed python module crashes using example
gnome-python2-gtkmozembed python module crashes using example
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481428
  Show dependency treegraph
 
Reported: 2008-03-30 02:49 EDT by Daniel Walsh
Modified: 2011-06-27 09:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace output (160.09 KB, application/octet-stream)
2008-03-30 02:49 EDT, Daniel Walsh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 325884 None None None Never

  None (edit)
Description Daniel Walsh 2008-03-30 02:49:20 EDT
Description of problem:

uname -a
Linux dhcp-10-12-34-132.boston.devel.redhat.com 2.6.25-0.163.rc7.git1.fc9.x86_64
#1 SMP Thu Mar 27 09:29:41 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux


gnome-python2-gtkmozembed-2.19.1-14.fc9.x86_64

python t.py
Segmentation fault
Comment 1 Daniel Walsh 2008-03-30 02:49:20 EDT
Created attachment 299613 [details]
strace output
Comment 2 Matthew Barnes 2008-03-31 10:40:21 EDT
Could you please attach t.py so I can reproduce this?
Comment 3 Daniel Walsh 2008-04-01 02:23:01 EDT
It is in your example documentation.

import gtk
import gtkmozembed

class TinyGecko:
    def __init__(self):
        self.moz = gtkmozembed.MozEmbed()
                
        win = gtk.Window()
        win.add(self.moz)
        win.show_all()
        # self.moz.load_url('http://www.pygtk.org')
        data = '<html><head><title>Hello</title></head><body>pygtk
dev</body></html>'
        self.moz.render_data(data, long(len(data)), 'file:///', 'text/html')

if __name__ == '__main__':
  TinyGecko()
  gtk.main()
Comment 4 Matthew Barnes 2008-04-09 20:34:55 EDT
This appears to be a Mozilla bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=325884

Simplified reproducer:

  #!/usr/bin/env python
  import gtk
  import gtkmozembed

  window = gtk.Window()
  module = gtkmozembed.MozEmbed()

  window.add(module)
  window.show_all()

Setting these environment variables seems to fix it:

  export   LD_LIBRARY_PATH=/usr/lib/firefox-2.0.0.5
  export MOZILLA_FIVE_HOME=/usr/lib/firefox-2.0.0.5
                                    ^^^^^^^^^^^^^^^
                             (whatever you have installed)

Chris, any thoughts about this?
Comment 5 Christopher Aillon 2008-04-19 01:10:18 EDT
You can set it I guess based on one of the conf files in /etc/gre.d
Comment 6 Paul Brossier 2008-05-21 05:23:15 EDT
Two notes about this bug:

 - the bug is reproducible on i386.
 - the exported variables workaround does not work anymore with firefox 3

Cheers, piem
Comment 7 Matthew Barnes 2008-05-21 06:30:54 EDT
Boo.  I guess we're stuck waiting on upstream to fix this, unless someone comes
up with a workaround for XULRunner / Firefox 3.

Leaving this open so I don't lose track of it.
Comment 8 Jani Ollikainen 2008-07-03 03:39:48 EDT
Those enviromental variables works as workaround with firefox-3.0-1.fc9.i386,
gnome-python2-gtkmozembed-2.19.1-16.fc9.i386 and xulrunner-1.9-1.fc9.i386

The trick is to use path where the modules really lies nowadays.

export LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9
export MOZILLA_FIVE_HOME=/usr/lib/xulrunner-1.9
Comment 9 Jani Ollikainen 2008-07-04 02:45:07 EDT
Ok, too fast to say it works with those. It worked and works sometimes, but
sometimes it fails.. But without those it never worked.

The program 'screenshot-tng.py' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 112 error_code 8 request_code 129 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 10 David Mueller 2009-02-12 14:46:42 EST
This is still broken on Fedora 10; I had to set the environment variables as suggested in comment #10.

xulrunner-1.9.0.6-1.fc10.i386
gnome-python2-gtkmozembed-2.19.1-26.fc10.i386
firefox-3.0.6-1.fc10.i386
Comment 11 David Mueller 2009-02-12 14:47:16 EST
My previous comment should have been referring to comment #8.
Comment 12 Bug Zapper 2009-06-09 19:56:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Lev Shamardin 2010-02-13 02:18:24 EST
Still broken:
gnome-python2-gtkmozembed-2.25.3-14.fc12.i686

Fix from comment #8 still works.
Comment 14 Hugo Melo 2010-05-31 15:05:24 EDT
Hi,
I can reproduce this error on a F13 x86_64.
I used /usr/lib64/xulrunner-1.9.2/ in the variables MOZILLA_FIVE_HOME and LD_LIBRARY_PATH and it stopped giving segmentation fault.

uname -a
Linux panini.ibm.com 2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 15 Bug Zapper 2010-11-04 07:58:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Hugo Melo 2010-11-04 09:55:37 EDT
Please, check comment 14. I was able to reproduce this error on Fedora 13.
Thanks!
Comment 17 Bug Zapper 2011-06-02 14:34:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Lev Shamardin 2011-06-04 14:11:32 EDT
Still an issue on Fedora 14, gnome-python2-gtkmozembed-2.25.3-30.fc14.1.x86_64
Comment 19 Bug Zapper 2011-06-27 09:57:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.